<?php
/*
 * $Horde: chora/annotate.php,v 1.19.2.1 2002/01/02 17:05:16 jan Exp $
 *
 * Copyright 2000-2002 Anil Madhavapeddy <anil@recoil.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

define('CHORA_BASE', dirname(__FILE__));
require_once CHORA_BASE . '/lib/base.php';

if ($conf['compress_pages']) {
    include_once 'HTTP/Compress.php';
    HTTP_Compress::start();
}

/* Spawn the file object */

$fl = new CVSLib_File($CVS, $CVS->cvsRoot().'/'.$where);
checkError($fl->getBrowseInfo());

/* Retrieve the desired revision from the GET variable */

$rev = Horde::getFormData('rev', '1.1');
if (!CVSLib_Rev::valid($rev)) {
    fatal('404 Not Found',"Revision $rev not found");
}

$ann = new CVSLib_Annotate($CVS, $fl);
checkError($lines = $ann->doAnnotate($rev));

$title = sprintf(_("CVS Annotation of %s for version %s"), Text::htmlallspaces($where), $rev);
include $registry->getTemplatePath() . '/common-header.inc';
include $registry->getTemplatePath() . '/annotate/header.inc';

$author = '';
$style = 0;

foreach ($lines as $line) {
    $prevAuthor = $author;
    $author = Chora::showAuthorName($line['author']);
    if ($prevAuthor != $author) {
        $style = (++$style % 3); 
    }
    $rev = $line['rev'];
    $line = Text::htmlspaces($line['line']);
    include($registry->getTemplatePath() . '/annotate/line.inc');
}

include $registry->getTemplatePath() . '/annotate/footer.inc';
include $registry->getTemplatePath() . '/common-footer.inc';

if ($conf['compress_pages']) {
    HTTP_Compress::output();
}

?>
